"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeElements = require("react-native-elements");

var Colors = _interopRequireWildcard(require("./utils/Colors"));

var Style = _interopRequireWildcard(require("./utils/Style"));

var _TimePicker = _interopRequireDefault(require("./TimePicker"));

var _DateUtils = require("./utils/DateUtils");

var _Status = require("./utils/Status");

var _CalendarWithTimer = _interopRequireDefault(require("./CalendarWithTimer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const {
  height
} = _reactNative.Dimensions.get('window');

const ModalBottomSheet = params => {
  const animatedValue = new _reactNative.Animated.Value(0);
  const [startDate, setStartDate] = (0, _react.useState)((0, _DateUtils.parseDateToCalendarFormat)(params.startDate));
  const [endDate, setEndDate] = (0, _react.useState)((0, _DateUtils.parseDateToCalendarFormat)(params.endDate));
  const [isStartDateSelected, setIsStartDateSelected] = (0, _react.useState)(true);
  const [isEndDateSelected, setIsEndDateSelected] = (0, _react.useState)(false);
  /* let currentTime = new Date();
  let currentHourRaw = currentTime.getHours();
  let currentHour = currentHourRaw > 12 ? currentHourRaw - 12 : currentHourRaw;
  let currentMinutes = currentTime.getMinutes();
  let currentTimeAmPm = currentTime.getHours() >= 12 ? 'PM' : 'AM'; */

  /* const [startTime, setStartTime] = useState<Time>({
    hour: currentHour,
    minutes: currentMinutes,
    amPm: currentTimeAmPm,
  });
    const [endTime, setEndTime] = useState<Time>({
    hour: currentHour,
    minutes: currentMinutes,
    amPm: currentTimeAmPm,
  }); */

  /*  const [updatedStartTime, setUpdatedStartTime] = useState<Time>({
    hour: currentHour,
    minutes: currentMinutes,
    amPm: currentTimeAmPm,
  });
  const [updatedEndTime, setUpdatedEndTime] = useState<Time>({
    hour: currentHour,
    minutes: currentMinutes,
    amPm: currentTimeAmPm,
  });
  */

  const [updatedStartTime, setUpdatedStartTime] = (0, _react.useState)(params === null || params === void 0 ? void 0 : params.startTime);
  const [updatedEndTime, setUpdatedEndTime] = (0, _react.useState)(params === null || params === void 0 ? void 0 : params.endTime);

  _react.default.useEffect(() => {
    _reactNative.Animated.timing(animatedValue, {
      toValue: 1,
      duration: 600,
      easing: _reactNative.Easing.linear,
      useNativeDriver: true
    }).start();
  }, [params.openBottomSheet]);

  const onDoneSelect = () => {
    params.onDoneSelect(startDate, endDate, updatedStartTime, updatedEndTime);
  };

  const onTimeSelect = (hour, minutes, amPm) => {
    if (isEndDateSelected) {
      setUpdatedEndTime({
        hour: hour,
        minutes: minutes,
        amPm: amPm
      });
      params.onEndTimeSelect(hour + ':' + minutes + ' ' + amPm);
    } else {
      setUpdatedStartTime({
        hour: hour,
        minutes: minutes,
        amPm: amPm
      });
      params.onStartTimeSelect(hour + ':' + minutes + ' ' + amPm);
    }
  };

  const onStartEndChanged = type => {
    setIsStartDateSelected(type == 1);
    setIsEndDateSelected(type == 2);

    if (type == 2) {
      params === null || params === void 0 ? void 0 : params.setEndTime(updatedEndTime);
    } else {
      params === null || params === void 0 ? void 0 : params.setStartTime(updatedStartTime);
    }
  };

  function Header() {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.header
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.view
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1,
        flexDirection: 'row',
        marginTop: 10,
        marginHorizontal: 4,
        alignItems: 'baseline',
        justifyContent: 'space-between'
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNativeElements.Text, {
      style: [Style.styleSheet.boldText]
    }, "Date & Time"), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: onDoneSelect
    }, /*#__PURE__*/_react.default.createElement(_reactNativeElements.Text, {
      style: [Style.styleSheet.headerTextStyle, {
        color: Colors.PrimaryColor,
        alignSelf: 'flex-end'
      }]
    }, "Done"))));
  }

  return params.openBottomSheet == true || params.openBottomSheet == false ? /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      flex: 1,
      backgroundColor: 'white',
      alignItems: 'stretch',
      height: height - 200,
      borderTopLeftRadius: 15,
      borderTopRightRadius: 15,
      elevation: 10,
      paddingVertical: 0.0,
      paddingHorizontal: 10.0,
      transform: [params.openBottomSheet == true ? {
        translateY: animatedValue.interpolate({
          inputRange: [0, 1],
          outputRange: [700, 0]
        })
      } : params.openBottomSheet == false ? {
        translateY: animatedValue.interpolate({
          inputRange: [0, 1],
          outputRange: [0, 800]
        })
      } : null]
    }
  }, /*#__PURE__*/_react.default.createElement(Header, null), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, /*#__PURE__*/_react.default.createElement(_CalendarWithTimer.default, _extends({}, params, {
    onStartEndChanged: onStartEndChanged,
    onStartDateSelect: day => {
      setStartDate(day);
      params.onStartDateSelect(day);
    },
    onEndDateSelect: day => {
      setEndDate(day);
      params.onEndDateSelect(day);
    }
  })), isStartDateSelected ? /*#__PURE__*/_react.default.createElement(_TimePicker.default, {
    key: `StartTime_${params === null || params === void 0 ? void 0 : params.startTime}`,
    dateForTime: startDate,
    timeSelectionType: _Status.Status.DEFAULT,
    startTime: params === null || params === void 0 ? void 0 : params.startTime,
    onTimeSelected: onTimeSelect
  }) : /*#__PURE__*/_react.default.createElement(_TimePicker.default, {
    key: `EndTime_${params === null || params === void 0 ? void 0 : params.endTime}`,
    dateForTime: startDate,
    timeSelectionType: _Status.Status.PREVIOUSDISABLED,
    startTime: params === null || params === void 0 ? void 0 : params.endTime,
    onTimeSelected: onTimeSelect
  }))) : null;
};

const styles = _reactNative.StyleSheet.create({
  bottomSheetStyle: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'stretch',
    height: height - 200,
    borderTopLeftRadius: 15,
    borderTopRightRadius: 15,
    elevation: 10,
    paddingVertical: 0.0,
    paddingHorizontal: 10.0
  },
  container: {
    flex: 1,
    backgroundColor: Colors.Grey
  },
  header: {
    height: 60
  },
  view: {
    alignSelf: 'center',
    marginTop: 8,
    width: 45,
    height: 6,
    borderRadius: 5,
    backgroundColor: Colors.LightGrey
  }
});

var _default = ModalBottomSheet;
exports.default = _default;
//# sourceMappingURL=ModalBottomSheet.js.map