"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCurrentDate = getCurrentDate;
exports.parseDateToCalendarFormat = parseDateToCalendarFormat;
exports.parseDateOrUndefined = parseDateOrUndefined;
exports.parseDate = parseDate;

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const _dateFormat = 'YYYY-MM-DD';

_moment.default.locale('en');

function getCurrentDate(dateFormat = _dateFormat) {
  return (0, _moment.default)(new Date()).format(dateFormat);
}

function parseDateToCalendarFormat(date) {
  let parsedDate = '';

  try {
    parsedDate = (0, _moment.default)(date).format(_dateFormat);
    if (parsedDate == 'Invalid date') parsedDate = getCurrentDate();
  } catch (error) {
    console.log('Date parse error', error);
    parsedDate = getCurrentDate();
  }

  return parsedDate;
}

function parseDateOrUndefined(date) {
  let parsedDate = undefined;

  try {
    parsedDate = (0, _moment.default)(date).format(_dateFormat);
    if (parsedDate == 'Invalid date') parsedDate = undefined;
  } catch (error) {
    console.log('Date parse error', error);
  }

  return parsedDate;
}

function parseDate(date) {
  let parsedDate = '';

  try {
    parsedDate = (0, _moment.default)(date).format('MMM DD, YYYY');
    if (parsedDate == 'Invalid date') parsedDate = getCurrentDate('MMM DD, YYYY');
  } catch (error) {
    console.log('Date parse error', error);
    parsedDate = getCurrentDate();
  }

  return parsedDate;
}
//# sourceMappingURL=DateUtils.js.map