import React from "react";
import { Image, Text, TouchableOpacity, View } from "react-native";
import * as Colors from './utils/Colors';
import * as Style from './utils/Style';

const Timer = _params => {
  return /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      position: 'absolute',
      bottom: 5,
      marginBottom: 8.0,
      left: 15,
      right: 15,
      justifyContent: 'space-between'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 12,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/up_arrow.png'),
    resizeMode: "contain"
  })), /*#__PURE__*/React.createElement(Text, {
    style: [Style.styleSheet.boldText, {
      paddingHorizontal: 20,
      paddingVertical: 5
    }]
  }, "08h"), /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/down_arrow.png'),
    resizeMode: "contain"
  }))), /*#__PURE__*/React.createElement(Text, {
    style: [Style.styleSheet.boldText, {
      alignSelf: 'center'
    }]
  }, ":"), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 12,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/up_arrow.png'),
    resizeMode: "contain"
  })), /*#__PURE__*/React.createElement(Text, {
    style: [Style.styleSheet.boldText, {
      paddingHorizontal: 20,
      paddingVertical: 5
    }]
  }, "10m"), /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/down_arrow.png'),
    resizeMode: "contain"
  }))), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 6,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: [Style.styleSheet.headerTextStyle, {
      paddingHorizontal: 10,
      paddingVertical: 5,
      alignSelf: 'center',
      flex: 1,
      color: Colors.LightBlue
    }]
  }, "AM"), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      backgroundColor: Colors.Grey,
      width: 15,
      height: 1
    }
  })), /*#__PURE__*/React.createElement(Text, {
    style: [Style.styleSheet.headerTextStyle, {
      paddingHorizontal: 10,
      paddingVertical: 5,
      alignSelf: 'center',
      flex: 1,
      color: Colors.Grey
    }]
  }, "PM")));
};

export default Timer;
//# sourceMappingURL=Timer.js.map